package com.ibtp.kontor.comics.entity;

import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Entity;
import org.mongodb.morphia.annotations.Id;
import org.mongodb.morphia.annotations.Property;

/**
 * Created by thomas on 29.02.16.
 */
@Entity("artist")
public class Artist {

    public Artist() {}

    public Artist(String name) {
        setName(name);
    }

    @Id
    private ObjectId id;

    @Property
    private String name;

    public ObjectId getId() {
        return id;
    }

    public void setId(ObjectId id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }
}
